Bug 167859 - Kernel assertion in net/ipv4/tcp_input.c
Kernel assertion in net/ipv4/tcp_input.c
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-08 19:48 EDT by Jacob Kroon
Modified: 2015-01-04 17:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-14 01:13:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jacob Kroon 2005-09-08 19:48:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
Extract from /var/log/messages:

Sep  9 01:02:26 skeletor kernel: KERNEL: assertion ((int)tp->sacked_out >= 0) failed at net/ipv4/tcp_input.c (2147)

I _think_ that this was just before my compter hanged.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:

Additional info:
Comment 1 Jacob Kroon 2005-09-08 20:12:56 EDT
I didn't notice before, but I got lots of that message in /var/log/messages, and
also :

Sep  9 02:02:49 skeletor kernel: KERNEL: assertion ((int)tp->lost_out >= 0)
failed at net/ipv4/tcp_input.c (2148)

Can these assertions be causing my copmuter lockups ?
Comment 2 Jacob Kroon 2005-09-09 04:43:46 EDT
I reverted to kernel-2.6.13-1.1535_FC5, and now I don't see any
more of the assertions, and my computer doesn't lock up.
Comment 3 Jacob Kroon 2005-09-11 06:29:03 EDT
Same thing happens with kernel-2.6.13-1.1547_FC5. It "seems" to trigger
when using BitTorrent + heavy load on the machine, not sure how deterministic
that is though.
Comment 4 Jacob Kroon 2005-09-13 03:01:49 EDT
kernel-2.6.13-1.1549_FC5 doesn't seem to have this problem. I will test it
for a another few days, and then close this bug if no one else chimes in.
Comment 5 Dave Jones 2005-09-14 01:13:16 EDT
this got root caused and fixed upstream.
it's very unlikely to reoccur.

Note You need to log in before you can comment on or make changes to this bug.